%axis decoration script
% Script name : Grh_deco.m
%Example Subplot

%calculate and draw data
t = 0:0.01:6;   w = [2 1.5 1];
y1 = w(1)*exp(-w(1)*t).*cos(w(1)*t);
y2 = w(2)*exp(-w(2)*t).*cos(w(2)*t);
y3 = w(3)*exp(-w(3)*t).*cos(w(3)*t);
figure; hold on
plot(t,y1,'Color',[1 0 0]);
plot(t,y2,'Color',[1 0 1]);
plot(t,y3,'Color',[0 0 1]);
% Graph decoration
%create and display explanatory text 
omega = '\omega';
tle_str = sprintf('y=%sexp(-%st)cos(%st)',omega,omega,omega);
title(tle_str,'Interpreter','tex');
xlabel('x');    ylabel('y');
parm1 = sprintf('%s=%3.1f',omega,w(1));
parm2 = sprintf('%s=%3.1f',omega,w(2));
parm3 = sprintf('%s=%3.1f',omega,w(3));
legend(parm1,parm2,parm3,'Location','best');
grid on; grid minor
fh = gcf;
fh.MenuBar = 'none';