%
% Script name : rocket.m
t = 0:1/10:40;
v = 200; % 初速度 (m/s)
sit = 85*(pi/180); % 仰角 θ
pus = 45*(pi/180); % 迎角 ψ
vx = v*cos(pus); vy = v*sin(pus); vz = v*sin(sit);
L = length(t);
g = 9.8; x = vx*t; y = vy*t; z = vz*t - 1/2*g*t.^2;
u = gradient(x); v = gradient(y); w = gradient(z);
scale = 0.5; rng = 1:round(L/10):(L-1);
figure; hold on
plot3(x,y,z)
quiver3(x(rng),y(rng),z(rng), u(rng),v(rng),w(rng),scale);
grid on
xlabel('x'); ylabel('y'); zlabel('height');
