%square wave
%   script name : squarWave.m
%   0<=t<=3pi, N = 4
%   w = 4/pi*sum_n=1^N{1/(2n-1)*sin(2n-1)x}
  N = 5;
  dt = pi/40;
  t = (0:dt:3*pi)';
  [sm,sn] = size(t);
  y = zeros(N,sm);
  for n = 1:N
      y(n,:) = (4/pi)*(1/(2*n-1)*sin((2*n-1)*t));
  end
  w = sum(y);
  figure;
  plot(t,w);  grid on
  txt = '$$w=\sum_{n=1}^{5}\frac{4}{\pi}\frac{1}{2n-1}\sin (2n-1)t$$';
  text(6.2,-0.5,txt,'Interpreter','latex');
  title('Square wave with sine wave up to 5th order');
  xlabel('$$ t $$(sec)','Interpreter','latex');  
  ylabel('Amplitude');
