function dF =gradient1(varargin)
% gradient1.m 1 次元の勾配（gratient）を計算
% 微分は中央差分．計算後の勾配は入力の被微分系列ベクトルと同じサイズ
% 書式
% dF =gradient1(F,dx)
% 引数
%   F：ベクトル．被微分系列ベクトル
%   dx：スカラーまたはベクトル（省略可能）．規定値以外の動作は不定
% 出力
%   dF：ベクトル．1 次元勾配ベクトル
    if 2 >= nargin
    F = varargin{1};
        if 2 == nargin
            delta = varargin{2};
            if isnumeric(delta)
                if (1 == ismatrix(delta)) && (length(F) == length(delta))
                    dx = delta;
                else
                    dx = delta*ones(size(F));
                end
            else
                disp('Arguments Error:');
                error('See on this help.');
            end
        else
            dx = ones(size(F));
        end
    else
        disp('Arguments Error:');
        error('See on this help.');
    end

    N = length(F); % データ数
    s = 2; % 差分のスタート
    n = N-1;
    dF = zeros(size(F)); % 出力引数の初期化(サイズはFと同じ)
    dF(s:n) = (F(s+1:n+1)-F(s-1:n-1))./(2*dx(s:n));
    dF(1) = (F(2)-F(1))./dx(1); % 境界値（はじめ）
    dF(N) = (F(N)-F(n))./dx(N); % 境界値（終わり）
end
