function dy = FreeOscil(t,y,m,k,c)
%dy = FreeOscil_SD_Test01(t,y,m,k,c)
%   自由振動系のode-ファイル
%   マス・バネ・ダンパ系の自由振動を計算するためのode-ファイル
%   引数
%       t,y：ode用引数 t：積分区間，y：初期値
%           y = [変位の初期値；速度の初期値]
%       m：おもりの質量
%       k：バネ系数
%       c：減衰係数
    w = sqrt(k/m);          % 固有振動数
    zeta = c/(2*m*w);
    A = [   0,        1; ...
         -w^2,-2*zeta*w];
    dy = A*y;
end
