%自由振動系における減衰比の違いによる振動を計算するスクリプト
%   FreeOscil_Displace_Test01.m
%ode-ファイル：FreeOscil.m
%   系のパラメータ
%       m：おもりの質量 1kg
%       k：バネ系数     10N/m
%       x0：初期値      [位置=1m；速度=0m/s];
%       tspn：積分区間  [0,5];
    m = 1;  k = 10;
    w = sqrt(k/m);      %固有振動数
    zeta = [1.5;1;0.1]; %減衰比
    c = [zeta(1)*(2*m*w); ...  %ζ=1.5
         zeta(2)*(2*m*w); ...  %ζ=1
         zeta(3)*(2*m*w)];     %ζ=0.5
    y0 = [1;0];         %初期値
    tspn = [0,5];       %積分区間
    for i=1:3
        [t,y] = ode45(@(t,y) FreeOscil(t,y ...
                                        ,m,k,c(i)), tspn, y0);
        osc(i,1).t = t;
        osc(i,1).y = y(:,1);
    end
    figure;
    for i=1:3
        plot(osc(i,1).t,osc(i,1).y);
        hold on;grid on
    end
    legend(['\zeta=',mat2str(zeta(1))], ...
           ['\zeta=',mat2str(zeta(2))], ...
           ['\zeta=',mat2str(zeta(3))], ...
           'Location','best');
    title('Free Oscillation system');
    xlabel('Time sec'); ylabel('Displacement m');
    
