function y = amplitude(u, len)
%y = amplitude
%単一振り子モデルのふり角度からおもりに加わる力（重力加速度）
%を計算する
%   書式として
%   入力：角度 u
%         糸の長さ len
%   出力：力 y 正確に言えば，おもりの加速度
%特記事項
%   引数 l はグローバル変数
%       データ元はMATLAB Workspace上の変数 l とする
    g = 9.8;    % 重力加速度
    y = (g/len)*sin(u);
end
